<template>
    <div class="col-12 col-lg-6">
        <div class="row">
            <!-- SORT : START -->
            <control-sort 
            v-bind:orderBy = "orderBy"
            v-bind:orderDir = "orderDir"
            v-on:handlerSort = "handlerSort"
            />
            <!-- SORT : END -->

            <!-- SEARCH : START -->
            <control-search 
                v-bind:strSearch = "strSearch"
                v-on:handleSearch = "handleSearch"
            />
            <!-- SEARCH : END -->
        </div>
    </div>
</template>

<script>
import ControlSort from './ControlSort';
import ControlSearch from './ControlSearch';

export default {
    name: 'comp-control',
     props:['strSearch','orderBy','orderDir'],
    components: {
        ControlSort,
        ControlSearch
    },
    
    data() {
        return {

        }
    },
    methods: {
         handleSearch(data) {
            // console.log(e.target);
            console.log('handleSearch comp Search.vue', data);
            this.$emit('handleSearch',data);
        },
        handlerSort(data){
            console.log('handlerSort CompControl',data)
             this.$emit('handlerSort',data);
            
        }
    }
}
</script>

<style>

</style>
